For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference - Partner API
      • POSTApprove Contract
      • POSTApprove Custom Rate
      • POSTUpdate Tier
      • GETGet Contract
      • GETGet Custom Rate
      • BuyRates
      • Contract
      • CustomRate
      • POSTEvent: custom-rate.created
      • BaseRate
      • RateObjDuration
      • RateObjDurationEffectiveFrom
      • User
LogoLogo
Reference - Partner APIRates

Approve Contract

POST
/v1/rates-contract/:contractId/review
POST
/v1/rates-contract/:contractId/review
$curl -X POST https://agencyapi.afterpay.com/v1/rates-contract/123457838/review \
> -H "Accept: application/json" \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -d '{
> "contractId": "785389121238",
> "userDetails": {
> "firstName": "John",
> "lastName": "PSP",
> "email": "john.psp@psp.com"
> },
> "comment": "Approved by X on date Y for reason Z.",
> "status": "APPROVED",
> "countryCode": "US",
> "buyRates": {
> "defaultRates": {
> "variableRatePercentage": "5.00",
> "fixedRate": "0.30",
> "fixedRateCurrencyCode": "USD",
> "rateType": "INTRODUCTORY"
> },
> "tierDetails": [
> {
> "tier": 1,
> "minimumGmv": "0",
> "maximumGmv": "1000000",
> "GmvCurrencyCode": "USD",
> "tieredRates": [
> {
> "variableRatePercentage": "3.5",
> "fixedRate": "0.3",
> "fixedRateCurrencyCode": "USD",
> "rateType": "ONGOING"
> }
> ]
> }
> ]
> }
>}'
1{
2 "timestamp": "2023-08-17T21:41:47.341+00:00",
3 "error": "string",
4 "message": "Successfully reviewed agency contract",
5 "contractDetails": {
6 "contractId": "785389121238",
7 "effectiveFrom": "2023-09-17T21:41:47.341+00:00",
8 "status": "APPROVED",
9 "countryCode": "US"
10 }
11}

Partners can set up their unique, volume-based buy-rate contract that precisely enforces their commercial agreement with Afterpay. This prevents any mis-billings from day one and has with a full audit trail.

Was this page helpful?
Previous

Approve Custom Rate

Next
Built with

Path parameters

contractIdstringRequired
ID of the contract to approve

Headers

User-AgentstringRequired
AcceptstringRequiredDefaults to application/json
Specifies media types that are acceptable for the response.

Request

This endpoint expects an object.
contractIdstringRequired
The unique ID for the contract between Afterpay and the partner.
userDetailsobjectRequired
commentstringRequired
Comment specific to the contract request.
statusenumRequired
The de facto approval field that determines whether the contract request by Afterpay is approved or rejected by the partner.
Allowed values:
countryCodestringRequired

Country code in the two-letter ISO 3166-1 alpha-2 standard format, defining the consumer market for which the rates apply.

buyRatesobjectRequired

Response

Contract reviewed successfully
timestampstring

Datetime field indicating when the contract request was actioned, using the standard ISO 8601 format, returned in UTC Coordinated Universal Time).

errorstring
Shows any errors encountered on the response to the contract approval call.
messagestring
Any message that may be attached to the response.
contractDetailsobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
503
Service Unavailable Error